Name:           libisofs
Version:        0.2.4
Release:        2%{?dist}
Summary:        Library to create ISO 9660 disk images

Group:          System Environment/Libraries
License:        GPL
URL:            http://libburnia.pykix.org/
Source0:        http://libburnia-download.pykix.org/releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libburn-devel doxygen graphviz
Requires:       libburn >= 0.2.2

%description
Libisofs is a library to pack up hard disk files and directories into a
ISO 9660 disk image. This may then be burned to CD via libburn.


%package        devel
Summary:        Development files for libisofs
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The libisofs-devel package contains libraries and header files for
developing applications that use libisofs.


%prep
%setup -q


%build
#./bootstrap
%configure --disable-static
make %{?_smp_mflags}
doxygen doc/doxygen.conf


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html
install -m 0644 doc/html/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html/
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYRIGHT README CONTRIBUTORS
%{_libdir}/%{name}*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/%{name}
%{_libdir}/libisofs*.so
%{_libdir}/pkgconfig/libisofs*.pc
 

%changelog
* Mon Jan 08 2007 Jesse Keating <jkeating@redhat.com> - 0.2.4-2
- Move html docs to -devel
- Change urls to new upstream location

* Wed Jan 03 2007 Jesse Keating <jkeating@redhat.com> - 0.2.4-1
- New upstream release to fix some issues

* Tue Jan 02 2007 Jesse Keating <jkeating@redhat.com> - 0.2.3-2
- Fix some issues brought up during review

* Tue Jan 02 2007 Jesse Keating <jkeating@redhat.com> - 0.2.3-1
- Initial release split off of libburn package.
- Disable docs for now, will be fixed in future upstream release
